aim4.im.v2i.reservation

## Class ReservationGridManager.Config

- java.lang.Object
- - aim4.im.v2i.reservation.ReservationGridManager.Config

- Enclosing class:
    ReservationGridManager

      public static class ReservationGridManager.Config
      extends Object

  The configuration of the reservation grid manager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservationGridManager.Config(double timeStep, double gridTimeStep, double staticBufferSize, double internalTileTimeBufferSize, double edgeTileTimeBufferSize, boolean isEdgeTileTimeBufferEnabled, double granularity)` Create a configuration object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getEdgeTileTimeBufferSize()` Get the edge buffer size.
    `double` | `getGranularity()` Get the granularity of the tile.
    `double` | `getGridTimeStep()` Get the grid time step.
    `double` | `getInternalTileTimeBufferSize()` Get the internal time buffer size.
    `boolean` | `getIsEdgeTileTimeBufferEnabled()` Get whether the edge buffer is enabled.
    `double` | `getStaticBufferSize()` Get the static buffer size.
    `double` | `getTimeStep()` Get the time step.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationGridManager.Config

          public ReservationGridManager.Config(double timeStep,
                                       double gridTimeStep,
                                       double staticBufferSize,
                                       double internalTileTimeBufferSize,
                                       double edgeTileTimeBufferSize,
                                       boolean isEdgeTileTimeBufferEnabled,
                                       double granularity)

      Create a configuration object.
      Parameters:
        `timeStep` -
        `gridTimeStep` -
        `staticBufferSize` -
        `internalTileTimeBufferSize` -
        `edgeTileTimeBufferSize` -
        `isEdgeTileTimeBufferEnabled` -
        `granularity` -

  - ### Method Detail

    - #### getTimeStep

          public double getTimeStep()

      Get the time step.
      Returns:
        the time step

    - #### getGridTimeStep

          public double getGridTimeStep()

      Get the grid time step.
      Returns:
        the grid time step

    - #### getStaticBufferSize

          public double getStaticBufferSize()

      Get the static buffer size.
      Returns:
        the static buffer size

    - #### getInternalTileTimeBufferSize

          public double getInternalTileTimeBufferSize()

      Get the internal time buffer size.
      Returns:
        the internal tile time buffer size

    - #### getEdgeTileTimeBufferSize

          public double getEdgeTileTimeBufferSize()

      Get the edge buffer size.
      Returns:
        the edge tile time buffer size

    - #### getIsEdgeTileTimeBufferEnabled

          public boolean getIsEdgeTileTimeBufferEnabled()

      Get whether the edge buffer is enabled.
      Returns:
        whether the edge buffer is enabled

    - #### getGranularity

          public double getGranularity()

      Get the granularity of the tile.
      Returns:
        the granularity of the tile.

Copyright © 2013. All rights reserved.